Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.s9api
Class XdmSequenceIterator

    java.lang.Object
      net.sf.saxon.s9api.XdmSequenceIterator

All Implemented Interfaces:
  Iterator<XdmItem>

    public class XdmSequenceIterator

extends Object
implements Iterator<XdmItem>

An iterator over an XPath sequence.

This class implements the standard Java Iterator interface.

Because the `Iterator` interface does not define any checked exceptions, the `hasNext()` method of this iterator throws an unchecked exception if a dynamic error occurs while evaluating the expression. Applications wishing to control error handling should take care to catch this exception.

Constructor Summary
`protected` | `XdmSequenceIterator(SequenceIterator base)`

Method Summary
`boolean` | `hasNext()` Returns `true` if the iteration has more elements.
`XdmItem` | `next()` Returns the next element in the iteration.
`void` | `remove()` Not supported on this implementation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XdmSequenceIterator

    protected XdmSequenceIterator(SequenceIterator base)

Method Detail

### hasNext

    public boolean hasNext()
                    throws SaxonApiUncheckedException

  Returns `true` if the iteration has more elements. (In other words, returns `true` if `next` would return an element rather than throwing an exception.)

  Specified by:
    `hasNext` in interface `Iterator<XdmItem>`
  Returns:
    `true` if the iterator has more elements.
  Throws:
    `SaxonApiUncheckedException` - if a dynamic error occurs during XPath evaluation that is detected at this point.

### next

    public XdmItem next()

  Returns the next element in the iteration. Calling this method repeatedly until the `hasNext()` method returns false will return each element in the underlying collection exactly once.

  Specified by:
    `next` in interface `Iterator<XdmItem>`
  Returns:
    the next element in the iteration.
  Throws:
    `NoSuchElementException` - iteration has no more elements.

### remove

    public void remove()

  Not supported on this implementation.

  Specified by:
    `remove` in interface `Iterator<XdmItem>`
  Throws:
    `UnsupportedOperationException` - always

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.